#This file is an example of an environment file for defining the isolated
#networks and related parameters.
resource_registry:
  # Network Interface templates to use (these files must exist)
  OS::TripleO::BlockStorage::Net::SoftwareConfig:
    ../network/config/multiple-nics/cinder-storage.yaml
  OS::TripleO::Compute::Net::SoftwareConfig:
    ../network/config/multiple-nics/compute.yaml
  OS::TripleO::Controller::Net::SoftwareConfig:
    ../network/config/multiple-nics/controller.yaml
  OS::TripleO::ObjectStorage::Net::SoftwareConfig:
    ../network/config/multiple-nics/swift-storage.yaml
  OS::TripleO::CephStorage::Net::SoftwareConfig:
    ../network/config/multiple-nics/ceph-storage.yaml

parameter_defaults:
  ExternalNetworkVlanID: 2504
  ExternalNetCidr: 192.168.154.0/24
  ExternalAllocationPools: [{'start': '192.168.154.110', 'end': '192.168.154.210'}]

  # Set to the router gateway on the external network
  ExternalInterfaceDefaultRoute: 192.168.154.1
  # Gateway router for the provisioning network (or Undercloud IP)
  ControlPlaneDefaultRoute: 192.168.149.1
  # The IP address of the EC2 metadata server. Generally the IP of the Undercloud
  EC2MetadataIp: 192.168.149.1
  # Set to "br-ex" if using floating IPs on native VLAN on bridge br-ex
  NeutronExternalNetworkBridge: "''"
  InternalApiNetworkVlanID: 2500
  InternalApiNetCidr: 192.168.150.0/24
  InternalApiAllocationPools: [{'start': '192.168.150.110', 'end': '192.168.150.210'}]

  TenantNetworkVlanID: 2503
  TenantNetCidr: 192.168.153.0/24
  TenantAllocationPools: [{'start': '192.168.153.110', 'end': '192.168.153.210'}]

  DnsServers: ["10.31.132.250"]

  StorageMgmtNetworkVlanID: 2502
  StorageMgmtNetCidr: 192.168.152.0/24
  StorageMgmtAllocationPools: [{'start': '192.168.152.110', 'end': '192.168.152.210'}]
  StorageNetworkVlanID: 2501
  StorageNetCidr: 192.168.151.0/24
  StorageAllocationPools: [{'start': '192.168.151.110', 'end': '192.168.151.210'}]

  NeutronBridgeMappings: datacentre-provider:br-provider,datacentre-tenant:br-tenant,datacentre-external:br-external
  NeutronNetworkVLANRanges: datacentre-provider:1:4094,datacentre-tenant:1:4094,datacentre-external:1:4094
  NeutronFlatNetworks: datacentre-tenant,datacentre-provider,datacentre-external
  NeutronNetworkType: vxlan,vlan

#  NetworkAdditional1NetCidr: '192.168.157.0/24'
#  NetworkAdditional1NetworkVlanID: 1507
#  NetworkAdditional1AllocationPools: [{'start': '192.168.157.20', 'end': '192.168.157.49'}]
#  NetworkAdditional2NetCidr: '192.168.168.0/24'
#  NetworkAdditional2NetworkVlanID: 1508
#  NetworkAdditional2AllocationPools: [{'start': '192.168.168.20', 'end': '192.168.168.49'}]

  NetworkDeploymentActions: ['CREATE','UPDATE']

  AdminPassword: 'admin2016'

